Bug 84997 - Please ship razor2 perl libs in spamassassin package
Please ship razor2 perl libs in spamassassin package
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-02-24 14:52 EST by Joshua Jensen
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-13 18:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2003-02-24 14:52:55 EST
Description of problem:

Spamassassin's effectivness is greatly enhanced by Razor checksum checking.  If
Red Hat could ship the  razor libs with the spamassassin package, it would be A
Good Thing.

I understand the additional implication of the extra work and network activity
that will result, but you could put "score RAZOR2_CHECK 0" in
/etc/mail/spamassassin/local.cf.  This would allow admins the choice to easily
enable it without making the additional considerations of Razor the default

I realize that we've missed this next release's deadlines, but the next next
release would be a great time to implement this!
Comment 1 Warren Togami 2004-02-28 17:18:06 EST
Along with extra server load, processing time, and bandwidth, razor
also sends the full body of messages to the server for future
processing.  There may be concerns about privacy of this.

In any case perl-Razor-Agent is working well in fedora.us Extras and
will probably be imported to the distribution in Fedora Extras for
FC2.  If you are using spamassassin on FC1 + updates, please give the
fedora.us Extras perl-Razor-Agent a try.

Keeping in MODIFIED state until Extras happens.
Comment 2 Joshua Jensen 2004-06-15 14:38:17 EDT
Spamassassin seems to catch less and less spam.  How about including
dspam instead?
Comment 3 Warren Togami 2004-06-15 19:30:56 EDT
I talked with spamassassin upstream about this issue.  Here are a few
1) spamassassin 3.0.0 coming soon is FAR better than the currently
shipping 2.63.  There is a snapshot currently in rawhide, and the
3.0.0 pre-release should be coming soon.  3.0.0 has URI blacklists
enabled which adds a nice and very accurate spam bonus to mail.  I
personally use the rawhide spamassassin on my production mail server,
and it was an easy upgrade from 2.63.
2) Later versions of spamassassin will investigate dspam's bayesian
method in order to replace or augment its own.  This should make
spamassassin better in its bayesian capability, while retaining its
many other tests.

Otherwis, you are free to submit Fedora polished dspam packages to
Fedora Extras.
Comment 4 Joshua Jensen 2004-07-13 10:31:44 EDT
Ok then... so how about including Spamassassin 3.0 and Razor in Fedora
Core 3?
Comment 5 Warren Togami 2004-07-13 18:35:16 EDT
3.0 will already be in FC3.  Razor will never be added to Core,
however you can easily install it from Extras.  It is called

Note You need to log in before you can comment on or make changes to this bug.